"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortByBalanceAndChainName = exports.calculateMin = void 0;
function calculateMin(weight, unitsPerSecond) {
    // 10**12 weight = 1 second
    return (BigInt(weight) * unitsPerSecond) / BigInt(10 ** 12);
}
exports.calculateMin = calculateMin;
function sortByBalanceAndChainName(a, b) {
    if (a.asset.isNative) {
        return -1;
    }
    if (a.asset.isNative) {
        return 1;
    }
    const aBalance = Number((a.balance * 1000000n) / 10n ** BigInt(a.meta.decimals)) / 1000000;
    const bBalance = Number((b.balance * 1000000n) / 10n ** BigInt(b.meta.decimals)) / 1000000;
    if (aBalance || bBalance) {
        return bBalance - aBalance;
    }
    const aName = (a.origin.name + a.asset.originSymbol).toLowerCase();
    const bName = (b.origin.name + b.asset.originSymbol).toLowerCase();
    if (aName < bName) {
        return -1;
    }
    if (aName > bName) {
        return 1;
    }
    return 0;
}
exports.sortByBalanceAndChainName = sortByBalanceAndChainName;
//# sourceMappingURL=polkadot.utils.js.map